API reference

Catalog and payments API

Manage the product catalog, UPI payment requests, COD confirmation and store integrations.

GET /api/account/upi

Get account upi. Authenticate with your account api key.

curl -X GET https://agakural.online/api/account/upi \
  -H "Authorization: Bearer $TOKEN"

PUT /api/account/upi

Update account upi. Authenticate with your account api key.

FieldInTypeRequiredNotes
vpabodystringYesUp to 120 characters
namebodystringNoUp to 80 characters
curl -X PUT https://agakural.online/api/account/upi \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"vpa": "vpa"}'

GET /api/channels/{id}/profile

Get channels profile. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X GET https://agakural.online/api/channels/{id}/profile \
  -H "Authorization: Bearer $TOKEN"

PUT /api/channels/{id}/profile

Update channels profile. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
catalogbodybooleanNo
catalog_keywordsbodyarray of stringNo
location_keywordsbodyarray of stringNo
locationbodyobjectNo
ai_replybodyobjectNo
curl -X PUT https://agakural.online/api/channels/{id}/profile \
  -H "Authorization: Bearer $TOKEN"

GET /api/orders

Get orders. Authenticate with your account api key.

curl -X GET https://agakural.online/api/orders \
  -H "Authorization: Bearer $TOKEN"

PATCH /api/orders/{id}

Update a orders. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
statusbodyobjectYesOne of: confirmed, cancelled, pending
curl -X PATCH https://agakural.online/api/orders/{id} \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"status": "status"}'

GET /api/payments

Get payments. Authenticate with your account api key.

FieldInTypeRequiredNotes
statusqueryobjectNoOne of: pending, claimed, paid, cancelled
curl -X GET https://agakural.online/api/payments \
  -H "Authorization: Bearer $TOKEN"

POST /api/payments

Create payments. Authenticate with your account api key.

FieldInTypeRequiredNotes
channel_idbodystringYes
tobodystringYesUp to 40 characters
namebodystringNoUp to 80 characters
amount_paisebodyintegerYesRange 100–10000000
notebodystringYesUp to 80 characters
curl -X POST https://agakural.online/api/payments \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"channel_id": "channel_id", "to": "919876543210", "amount_paise": 1, "note": "note"}'

PATCH /api/payments/{id}

Update a payments. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
statusbodyobjectYesOne of: paid, cancelled, pending
curl -X PATCH https://agakural.online/api/payments/{id} \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"status": "status"}'

GET /api/products

Get products. Authenticate with your account api key.

curl -X GET https://agakural.online/api/products \
  -H "Authorization: Bearer $TOKEN"

POST /api/products

Create products. Authenticate with your account api key.

FieldInTypeRequiredNotes
namebodystringYesUp to 80 characters
price_paisebodyintegerYesRange 1–100000000
descriptionbodystringNoUp to 500 characters
imagebodystringNoUp to 1000 characters
categorybodystringNoUp to 40 characters
in_stockbodybooleanNo
curl -X POST https://agakural.online/api/products \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name": "name", "price_paise": 1}'

DELETE /api/products/{id}

Delete a products. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X DELETE https://agakural.online/api/products/{id} \
  -H "Authorization: Bearer $TOKEN"

PATCH /api/products/{id}

Update a products. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
namebodystringNoUp to 80 characters
price_paisebodyintegerNoRange 1–100000000
descriptionbodystringNoUp to 500 characters
imagebodystringNoUp to 1000 characters
categorybodystringNoUp to 40 characters
in_stockbodybooleanNo
curl -X PATCH https://agakural.online/api/products/{id} \
  -H "Authorization: Bearer $TOKEN"

POST /api/products/import

Create products import. Authenticate with your account api key.

FieldInTypeRequiredNotes
textbodystringYesUp to 500000 characters
curl -X POST https://agakural.online/api/products/import \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"text": "text"}'

GET /api/stores

Get stores. Authenticate with your account api key.

curl -X GET https://agakural.online/api/stores \
  -H "Authorization: Bearer $TOKEN"

POST /api/stores

Create stores. Authenticate with your account api key.

FieldInTypeRequiredNotes
channel_idbodystringYes
platformbodyobjectYesOne of: shopify, woocommerce
secretbodystringNoUp to 200 characters
curl -X POST https://agakural.online/api/stores \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"channel_id": "channel_id", "platform": "platform"}'

DELETE /api/stores/{id}

Delete a stores. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
curl -X DELETE https://agakural.online/api/stores/{id} \
  -H "Authorization: Bearer $TOKEN"

PUT /api/stores/{id}

Update a stores. Authenticate with your account api key.

FieldInTypeRequiredNotes
idpathstringYes
secretbodystringNoUp to 200 characters
cod_messagebodystringNoUp to 1500 characters
prepaid_messagebodystringNoUp to 1500 characters
send_prepaidbodybooleanNo
country_codebodystringNo
curl -X PUT https://agakural.online/api/stores/{id} \
  -H "Authorization: Bearer $TOKEN"